Несколько уязвимостей в Easy Site

Дата публикации:
25.08.2008
Дата изменения:
29.03.2009
Всего просмотров:
938
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Easy Site 2.x
Уязвимые версии: Easy Site 2.3, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "action" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP. Пример:

http://[host]/index.php?module=Accueil&action=../../../../autoexec.bat%00

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "module" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Пример:
http://[host]/modules/Themes/index.php?module=../../../../autoexec.bat%00

URL производителя: www.easybrick.fr/index.php?module=Download&action=index

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA